
<div class="modal-header">
  <h4 class="modal-title">{{ tTituloModal }}</h4>
  <button class="close" type="button" aria-label="Close" (click)="activeModal.dismiss({'Resultado' : 'N', 'Pedido' : tPedidoModal})"><span aria-hidden="true">&times;</span></button>
</div>
<div class="modal-body">
  <div class="container-fluid">
    <div class="row">
      <div class="col-12 col-lg-4">
        <div class="row">
          <div class="form-group col-auto"><img class="img-thumbnail rounded-circle" [Gravatar]="tClienteModal.Email" alt=""/></div>
          <div class="form-group col">
            <div class="form-row">
              <div class="form-group col-12">
                <h6 class="text-gray-800">{{ tDescripcionCliente }}</h6>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12">
                <h6 class="text-gray-800">{{ tDescripcionPedido }}</h6>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="Contenedor-Tipo mb-2" *ngFor="let tTipo of tTiposPedido; let jv = index" [ColorFondo]="tTipo.Hexadecimal" [IgnorarClick]="true" (click)="Seleccionar_Tipo(tTipo)">
              <h6 class="text-xs ml-2 mt-2" [ColorLetras]="tTipo.Hexadecimal"><span class="fas fa-check mr-2" *ngIf="tTipo.Codtipo === tTipoPedidoActual.Codtipo"></span>{{ tTipo.Codtipo }}</h6>
            </div>
          </div>
        </div>
      </div>
      <div class="col-12 col-lg-8">
        <div class="form-row">
          <div class="col-12 col-lg-4"><img class="rounded mx-auto d-block ImagenPrincipal" [src]="ObtenerImagenPrincipal()" alt="..."/></div>
          <div class="col-12 col-lg-8">
            <div class="form-row">
              <div class="form-group col-10">
                <div class="ControlInput">
                  <div class="ControlInput--ContenedorIcono"><span class="ControlInput--ContenedorIcono-Icono"><i class="fas fa-search"></i></span></div>
                  <input class="ControlInput--Input" #txtBuscar="" type="text" placeholder="Buscar artículo" (keydown.enter)="BuscarArticulo(txtBuscar.value)" size="sm"/>
                </div>
              </div>
              <div class="form-group col-1">
                <button class="btn btn-sm btn-outline-primary" type="submit" (click)="BuscarArticulo(txtBuscar.value)"><i class="fas fa-search"></i></button>
              </div>
              <div class="form-group col-1">       
                <button class="btn btn-sm btn-outline-info" type="submit" (click)="AbrirModalArticulos()"><i class="fas fa-list"></i></button>
              </div>
            </div>
            <div class="form-row">
              <div class="form-group col-12"> 
                <h6 *ngIf="tArticuloActual.Codarticulo !== ''">[ {{ tArticuloActual.Codarticulo }} ] - {{ tArticuloActual.Descripcion }}</h6>
                <h6 class="text-xs" *ngIf="tArticuloActual.Codarticulo !== ''"><span class="text-secondary font-weight-bold">Color: </span><span>[ {{ tArticuloActual.Codcolor }} ] - {{ tArticuloActual.Desc_color }}</span></h6>
                <h6 class="text-xs" *ngIf="tArticuloActual.Codarticulo !== ''"><span class="text-secondary font-weight-bold">Factor: </span><span>[ {{ tArticuloActual.Codunidadmedida }} ] - {{ tArticuloActual.Desc_unidad_medida }} | Factor de venta: {{ tArticuloActual.Factor_venta }}</span></h6>
              </div>
            </div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col-12">
            <div class="table-responsive">
              <table class="table table-sm table-borderless">
                <thead>
                  <tr>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Talla</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Almacen</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Existencia</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Reservado</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Disponible</small></h6>
                    </th>
                    <th scope="col">
                      <h6><small class="text-center font-weight-bold">Cantidad</small></h6>
                    </th>
                  </tr>
                </thead>
                <tbody>
                  <tr *ngFor="let Inventario of tArticuloActual.LInventario">
                    <th scope="row"><a class="h6" (click)="SeleccionarTalla(Inventario)" [ngClass]="{'text-secondary' : Inventario.Talla == tArticuloInventarioActual.Talla}"><small class="font-weight-bold">{{ Inventario.Talla | talla }}</small></a></th>
                    <td>
                      <h6 class="text-center"><small>{{ Inventario.Codalmacen }} </small></h6>
                    </td>
                    <td>
                      <h6 class="text-center"><small>{{ Inventario.Existencia}}</small></h6>
                    </td>
                    <td>
                      <h6 class="text-center"><small>{{ Inventario.Reservado}}</small></h6>
                    </td>
                    <td>
                      <h6 class="text-center"><small>{{ Inventario.Disponible}}</small></h6>
                    </td>
                    <td>
                      <input class="form-control form-control-sm" *ngIf="Inventario.Talla === tArticuloInventarioActual.Talla" placeholder="Cantidad" SoloNumeros="number" [(ngModel)]="tPedidoArticuloActual.Cantidad" min="0" (keydown.enter)="AceptarPedido()"/>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row pt-4">
      <div class="col-12 col-lg-4 offset-lg-4">
        <div class="card border-left-primary shadow-sm h-100">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="text-xs font-weight-bold text-primary mb-1">Precio</div>
                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ tArticuloActual | precioCliente: tClienteModal | currency : tEmpresaActual.Simbolo }}</div>
              </div>
              <div class="col-auto">
                <div class="fas fa-shopping-cart fa-2x text-gray-300"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="col-12 col-lg-4">
        <div class="card border-left-success shadow-sm h-100">
          <div class="card-body">
            <div class="row no-gutters align-items-center">
              <div class="col mr-2">
                <div class="text-xs font-weight-bold text-success mb-1">Total</div>
                <div class="h5 mb-0 font-weight-bold text-gray-800">{{ tArticuloActual | totalPedido: tClienteModal : tPedidoArticuloActual.Cantidad | currency : tEmpresaActual.Simbolo }}</div>
              </div>
              <div class="col-auto">
                <div class="fas fa-shopping-cart fa-2x text-gray-300"></div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="modal-footer">
  <button class="btn btn-secondary btn-icon-split ml-2" type="button" (click)="Limpiar()"><span class="icon text-white-50"><i class="fas fa-broom"></i></span><span class="text">Limpiar</span></button>
  <button class="btn btn-secondary btn-icon-split mr-2 ml-2" type="button" (click)="activeModal.close({'Resultado' : 'S', 'Pedido' : tPedidoModal})"><span class="icon text-white-50"><i class="fas fa-times"></i></span><span class="text">Cerrar</span></button>
  <button class="btn btn-primary btn-icon-split mr-2 ml-2" type="button" (click)="AceptarPedido()"><span class="icon text-white-50"><i class="fas fa-save"></i></span><span class="text">Guardar</span></button>
</div>